# yapf.hpp File Reference

Base includes/functions for YAPF. More...

`#include "../openttd.h"`
`#include "../vehicle_base.h"`
`#include "../road_map.h"`
`#include "../tunnel_map.h"`
`#include "../bridge_map.h"`
`#include "../tunnelbridge_map.h"`
`#include "../bridge.h"`
`#include "../station_base.h"`
`#include "../station_map.h"`
`#include "../tile_cmd.h"`
`#include "../landscape.h"`
`#include "yapf.h"`
`#include "../pathfind.h"`
`#include "../waypoint.h"`
`#include "../debug.h"`
`#include "../settings_type.h"`
`#include "../tunnelbridge.h"`
`#include <limits.h>`
`#include <new>`
`#include <time.h>`
`#include "../misc/crc32.hpp"`
`#include "../misc/blob.hpp"`
`#include "../misc/str.hpp"`
`#include "../misc/fixedsizearray.hpp"`
`#include "../misc/array.hpp"`
`#include "../misc/hashtable.hpp"`
`#include "../misc/binaryheap.hpp"`
`#include "../misc/dbg_helpers.h"`
`#include "nodelist.hpp"`
`#include "follow_track.hpp"`
`#include "yapf_base.hpp"`
`#include "yapf_node.hpp"`
`#include "yapf_common.hpp"`
`#include "yapf_costbase.hpp"`
`#include "yapf_costcache.hpp"`

Go to the source code of this file.

## Data Structures
struct | CPerformanceTimer
struct | CPerfStartReal
struct | CPerfStartFake
## Typedefs
typedef CPerfStartFake | CPerfStart
## Functions
uint64 | ottd_rdtsc ()

## Detailed Description

Base includes/functions for YAPF.

Definition in file yapf.hpp.